Bug 601017 - roxterm flashes when switching workspaces
roxterm flashes when switching workspaces
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: roxterm (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-06 22:14 EDT by Bruce Jerrick
Modified: 2011-06-27 13:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:41:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruce Jerrick 2010-06-06 22:14:54 EDT
Description of problem:
When switching GNOME workspaces, roxterm backgrounds flash -- a wide black
band appears briefly in the roxterm window, reminiscent of bad CRT sync.

Version-Release number of selected component (if applicable):
roxterm-1.18.2-1.fc13.i686
gnome-common-2.28.0-1.fc12.noarch	# sic; that's currently the latest version for F13
gnome-desktop-2.30.0-3.fc13.i686
gnome-panel-2.30.0-1.fc13.i686
xorg-x11-drv-intel-2.11.0-4.fc13.i686
xorg-x11-server-Xorg-1.8.0-12.fc13.i686
kernel-2.6.33.5-112.fc13.i686
metacity-2.30.0-2.fc13.i686
(These and all other packages are as of Jun 3 16:19:31 UTZ 2010
F13 updates repodata (that date is per <revision> in repomd.xml).)

Hardware is Acer TravelMate 4222WLMi, with
15.4" WXGA (1280 x 800) TFT LCD (uses "intel" X driver).

How reproducible:
100%

Steps to Reproduce:
1. Configure two or more GNOME workspaces.
2. Start a roxterm in each (with white backgrounds).
3. Switch between workspaces (any method of switching).

Actual results:
Observe flashes -- a wide black band appears briefly in the roxterm window,
reminiscent of bad CRT sync.  Size and vertical position of band is variable.

Expected results:
No flashes, no annoyance.

Additional info:
The effect is most noticeable when the two roxterms are at the same position.
The effect can be seen with just one roxterm (the other workspace being empty),
but is not as noticeable.

Does not happen with gnome-terminal or xterm .
Does not happen in F12 (with updates versions as of Thu Jun 3 15:04:44 UTZ 2010).
*Does* happen in F13 with these older versions:
    roxterm-1.18.1-1.fc13.i686.rpm	# F13 Release
    roxterm-1.15.2-1.fc12.i686		# F12 Release
Comment 1 Dan Horák 2010-06-14 01:45:09 EDT
I can't reproduce it on my F-13 system also with intel video (i965). I would suspect more the video driver or the window manager than roxterm. Do you have "deskop effects" enabled?
Comment 2 Christoph Wickert 2010-06-21 05:27:09 EDT
I guess this is a problem in VTE because the same has been reported for the Xfce Terminal and gnome-terminal on Ubuntu, see
http://foo-projects.org/pipermail/xfce/2010-June/027312.html
Comment 3 Bug Zapper 2011-06-02 07:46:25 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-27 13:41:30 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.